float tx = 0.0;
float ty = 0.0;

void setup()
{
  size( 600, 400 );
  strokeCap( ROUND );
  strokeWeight( 7 );
  stroke( 0 );
  noFill();
}

void draw()
{
  float t = 0.5;
  float sc = 1.0;

  background( 255 );
  for ( int y = int (ty%20) - 20; y < height; y += 20 ) {
    for ( int x = int (tx%20) - 20; x < width; x += 20 ) {
      if ( noise((x-tx)*sc, (y-ty)*sc) <= t ) {
        line( x, y, x + 20, y + 20 );
      } else {
        line( x + 20, y, x, y + 20 );
      }
    }
  }
}

void mouseDragged()
{
  tx += (mouseX-pmouseX);
  ty += (mouseY-pmouseY);
}